Bug 1294580 (CVE-2015-8459, CVE-2015-8460, CVE-2015-8634, CVE-2015-8635, CVE-2015-8636, CVE-2015-8638, CVE-2015-8639, CVE-2015-8640, CVE-2015-8641, CVE-2015-8642, CVE-2015-8643, CVE-2015-8644, CVE-2015-8645, CVE-2015-8646, CVE-2015-8647, CVE-2015-8648, CVE-2015-8649, CVE-2015-8650, CVE-2015-8651, CVE-2016-0959) - flash-plugin: multiple code execution issues fixed in APSB16-01
Summary: flash-plugin: multiple code execution issues fixed in APSB16-01
Status: CLOSED ERRATA
Alias: CVE-2015-8459, CVE-2015-8460, CVE-2015-8634, CVE-2015-8635, CVE-2015-8636, CVE-2015-8638, CVE-2015-8639, CVE-2015-8640, CVE-2015-8641, CVE-2015-8642, CVE-2015-8643, CVE-2015-8644, CVE-2015-8645, CVE-2015-8646, CVE-2015-8647, CVE-2015-8648, CVE-2015-8649, CVE-2015-8650, CVE-2015-8651, CVE-2016-0959
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20151228,repor...
Keywords: Security
Depends On: 1294581 1294582 1294583
Blocks: 1294585
TreeView+ depends on / blocked
 
Reported: 2015-12-29 05:04 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:54 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-29 12:11:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2697 normal SHIPPED_LIVE Critical: flash-plugin security update 2015-12-29 16:53:44 UTC

Description Huzaifa S. Sidhpurwala 2015-12-29 05:04:34 UTC
Adobe Security Bulletin APSB16-01 for Adobe Flash Player describes multiple flaws that can possibly lead to code execution when Flash Player is used to play a specially crafted SWF file.

Quoting from the APSB16-01:

These updates resolve a type confusion vulnerability that could lead to code execution (CVE-2015-8644).

These updates resolve an integer overflow vulnerability that could lead to code execution (CVE-2015-8651).

These updates resolve use-after-free vulnerabilities that could lead to code execution (CVE-2015-8634, CVE-2015-8635, CVE-2015-8638, CVE-2015-8639, CVE-2015-8640, CVE-2015-8641, CVE-2015-8642, CVE-2015-8643, CVE-2015-8646, CVE-2015-8647, CVE-2015-8648, CVE-2015-8649, CVE-2015-8650).

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2015-8459, CVE-2015-8460, CVE-2015-8636, CVE-2015-8645).

External References:

https://helpx.adobe.com/security/products/flash-player/apsb16-01.html

Comment 2 errata-xmlrpc 2015-12-29 11:53:56 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:2697 https://rhn.redhat.com/errata/RHSA-2015-2697.html

Comment 3 Adam Mariš 2016-06-24 07:42:11 UTC
Update from 2016/06/23:

"June 23, 2016: Added reference for CVE-2016-0959, which was resolved in these updates but inadvertently omitted from the original version of the bulletin."


Note You need to log in before you can comment on or make changes to this bug.